<form class="signup-form">
  <div class="input-container">
    <input
      type="text"
      placeholder="Username"
      [(ngModel)]="username"
      name="username"
      autocomplete="off"
      (blur)="validateInput('username')"
    />
    <p class="err-msg">{{ errMsgArr[0] }}</p>
  </div>

  <div class="input-container">
    <input
      type="email"
      placeholder="Email"
      [(ngModel)]="email"
      name="email"
      autocomplete="off"
      (blur)="validateInput('email')"
    />
    <p class="err-msg">{{ errMsgArr[1] }}</p>
  </div>

  <div class="input-container">
    <input
      type="text"
      [(ngModel)]="zipCode"
      name="zip-code"
      placeholder="Zip Code"
      autocomplete="off"
      (blur)="validateInput('zip-code')"
    />
    <p class="err-msg">{{ errMsgArr[2] }}</p>
  </div>

  <div class="input-container">
    <input
      type="password"
      placeholder="Password"
      [(ngModel)]="password"
      name="password"
      autocomplete="off"
      (blur)="validateInput('password')"
    />
    <p class="err-msg">{{ errMsgArr[3] }}</p>
  </div>

  <div class="input-container">
    <input
      type="password"
      placeholder="Confirm password"
      [(ngModel)]="confirmPassword"
      name="confirm-password"
      autocomplete="off"
      (blur)="validateInput('confirm-password')"
    />
    <p class="err-msg">{{ errMsgArr[4] }}</p>
  </div>

  <div class="input-container">
    <select
      name="mine-type"
      id="mine-type"
      class="mine-type-select"
      [(ngModel)]="mineType"
      (change)="validateInput('mine-type')"
    >
      <option value="0" selected>Pick your mine type</option>
      <option *ngFor="let type of mineTypesToSelect" [value]="type">
        {{ type }}
      </option>
    </select>
    <p class="err-msg">{{ errMsgArr[5] }}</p>
  </div>

  <div class="btn register-btn" (click)="clickRegister()" *ngIf="!isLoading">
    Register
  </div>

  <p class="register-err-msg">{{ registerErrMsg }}</p>
  <app-loading class="loading-component" *ngIf="isLoading"></app-loading>
</form>
